import { ApiCall, BaseConnection } from "tsrpc";
import Room from "../../component/Room/Room";
import { ReqExit, ResExit } from "../../shared/protocols/room/PtlExit";
import { ServiceType } from "../../shared/protocols/serviceProto";

export default async function (call: ApiCall<ReqExit, ResExit>) {
	call.succ(0);
	const conn: BaseConnection<ServiceType> = call.conn;
	const room: Room = conn.Room;
	room.Exit(conn);
}